require 'extensions.rb'
require 'LangHandler.rb'

# Extension Manager
$uStrings = LanguageHandler.new("xnv")
xnv_Extension = SketchupExtension.new $uStrings.GetString("xnv"), "xnv.rb"
xnv_Extension.description=$uStrings.GetString("podium tools.")
xnv_Extension.name= "pod"
xnv_Extension.creator = "Didier Bur"
xnv_Extension.copyright = "12.2005, CRAI - Didier Bur"
xnv_Extension.version = "1.0"

Sketchup.register_extension xnv_Extension, true

# Run
def exec_on_autoload
  puts("xnv loaded.")
end



#-----------------------------------------------------------------------------------------------------
#                                        MENU ITEMS
#-----------------------------------------------------------------------------------------------------

if( not $xnv_menu_loaded )

  #xnv toolbar
  #-----------------------------------------------------------------------------------------
  gp_xnv_tb = UI::Toolbar.new("XnViewer")

 #XnView
  cmd1 = UI::Command.new("XnView") { UI.openURL("XnView.exe") }
  cmd1.small_icon = "xnv/xnv_klein.png"
  cmd1.large_icon = "xnv/xnv_gro.png"
  cmd1.tooltip = "XnViewer"
  gp_xnv_tb.add_item(cmd1)

 


# End of load
$xnv_menu_loaded = true
end
file_loaded("xnv_extension.rb")


